Bug 142483 - LVM Apache DocumentRoot Directory problem
LVM Apache DocumentRoot Directory problem
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 17:32 EST by François Jan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-12 12:13:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François Jan 2004-12-09 17:32:22 EST
Description of problem:
LVM large? volume and directories on it can't be used for DocumentRoot
because Apache doesn't recognize them as such :

[root@perth ~]# df
Sys. de fich.        1K-blocs       Occupé Disponible Capacité Monté sur
/dev/mapper/VolGroup00-LogVol00
                      15126920   4486628   9871884  32% /
/dev/hda1               101086     14128     81739  15% /boot
none                    512352         0    512352   0% /dev/shm
/dev/mapper/VolGroup00-LogVol02
                       5063712    349296   4457188   8% /home
/dev/mapper/VolGroup00-LogVol03
                     135982264  29284160  99790612  23% /anemone

[root@perth ~]# grep "/anemone" /etc/httpd/conf/httpd.conf
DocumentRoot "/anemone"
<Directory "/anemone">

[root@perth ~]# stat /anemone
  File: `/anemone'
  Size: 4096            Blocks: 8          IO Block: 4096   répertoire
Device: fd01h/64769d    Inode: 2           Links: 6
Access: (0755/drwxr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2004-12-09 20:35:12.000000000 +0100
Modify: 2004-12-07 00:13:01.000000000 +0100
Change: 2004-12-07 00:13:01.000000000 +0100

[root@perth ~]# /etc/init.d/httpd start
Démarrage de httpd :Syntax error on line 265 of
/etc/httpd/conf/httpd.conf:
DocumentRoot must be a directory

It works if I unmount /anemone with the same config and more generally
on any directory outside /anemone. But as soon as I remount it, it
fails again on every directory in the /anemone volume...

Version-Release number of selected component (if applicable):
LVM2 : lvm2-2.00.25-1.01
Apache : httpd-2.0.52-3.1

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 François Jan 2004-12-12 12:13:06 EST
I finally found out that it was SELinux related. In fact, SELinux was
configured to authorize only /var/www to serve files and it prevented
apache from getting information about any other directory with the
known consequence.
Comment 2 Joe Orton 2004-12-12 13:55:32 EST
Glad you found resolution!  For further information on SELinux/Apache
integration in FC3, you might be interested in:

http://fedora.redhat.com/docs/selinux-apache-fc3/

Note You need to log in before you can comment on or make changes to this bug.